import { QueryKey, UseQueryOptions, UseQueryResult } from "react-query";
import { Auth, User, IdTokenResult, AuthError, UserCredential, PopupRedirectResolver } from "firebase/auth";
export declare function useAuthUser<R = User | null>(key: QueryKey, auth: Auth, useQueryOptions?: Omit<UseQueryOptions<User | null, AuthError, R>, "queryFn">): UseQueryResult<R, AuthError>;
export declare function useAuthIdToken<R = IdTokenResult | null>(key: QueryKey, auth: Auth, options?: {
    forceRefresh?: boolean;
}, useQueryOptions?: Omit<UseQueryOptions<IdTokenResult | null, AuthError, R>, "queryFn">): UseQueryResult<R, AuthError>;
export declare function useAuthGetRedirectResult(key: QueryKey, auth: Auth, resolver?: PopupRedirectResolver, useQueryOptions?: Omit<UseQueryOptions<UserCredential | null, AuthError>, "queryFn">): UseQueryResult<UserCredential | null, AuthError>;
export declare function useAuthFetchSignInMethodsForEmail(key: QueryKey, auth: Auth, email: string, useQueryOptions?: Omit<UseQueryOptions<string[], AuthError>, "queryFn">): UseQueryResult<string[], AuthError>;
